FSSYNC-DEBUG_VGCSCAN(8)

NAME
fssync-debug_vgcscan - Force a VG cache rescan (FSYNC_VG_SCAN opcode)

SYNOPSIS
fssync-debug vgcscan
    -partition <exact partition name>
    [-reason <sync protocol reason code>]
    [-programtype <program type code>]
    [-help]

fssync-debug vgcscan
    -pa <exact partition name>
    [-r <sync protocol reason code>]
    [-pr <program type code>]
    [-h]

DESCRIPTION
The fssync-debug vgcscan command forces a rescan of the volume group cache (VGC) for a particular partition.

OPTIONS

-partition <exact partition name>
    Specifies the exact partition name (e.g. /vicepa). Abbreviations are not permitted.

-reason <sync protocol reason code>
    Specifies numeric sync protocol reason code. Available codes are listed in OpenAFS source file src/vol/fssync_inline.h. For SYNC_REASON_NONE, use -reason 0.

-programtype <program type code>
    Specifies program type code. Permitted values are fileServer, volumeUtility, salvager, salvageServer, volumeServer and volumeSalvager.

-help
    Prints the online help for this command. All other valid options are ignored.

PRIVILEGE REQUIRED
The issuer must have write access to the file server. Usually, this means that the issuer must be the local superuser "root" on the file server machine.

SEE ALSO
fssync-debug_vgcadd(8), fssync-debug_vgcdel(8), fssync-debug_vgcquery(8), fssync-debug_vgcscanall(8),

COPYRIGHT
Copyright 2010 Sine Nomine Associates

This documentation is covered by the IBM Public License Version 1.0. This man page was written by Andrew Deason and Davor Ocelic for OpenAFS.